## org.omg.CORBA
Class REBINDHelper

    java.lang.Object
      |
      +--org.omg.CORBA.REBINDHelper

public class REBINDHelper
extends java.lang.Object

Helper class for : REBIND

Author:
  OpenORB Compiler

Constructor Summary
`REBINDHelper()`

Method Summary
`static REBIND` `extract(Any a)` Extract REBIND from an any
`static java.lang.String` `id()` Return the REBIND IDL ID
`static void` `insert(Any a, REBIND t)` Insert REBIND into an any
`static REBIND` `read(InputStream istream)` Read REBIND from a marshalled stream
`static TypeCode` `type()` Return the REBIND TypeCode
`static void` `write(OutputStream ostream, REBIND value)` Write REBIND into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### REBINDHelper

    public REBINDHelper()

Method Detail

### insert

    public static void insert(Any a,
                              REBIND t)

  Insert REBIND into an any
  Parameters:
    `a` - an any
    `t` - REBIND value

### extract

    public static REBIND extract(Any a)

  Extract REBIND from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted REBIND value

### type

    public static TypeCode type()

  Return the REBIND TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the REBIND IDL ID
  Returns:
    an ID

### read

    public static REBIND read(InputStream istream)

  Read REBIND from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed REBIND value

### write

    public static void write(OutputStream ostream,
                             REBIND value)

  Write REBIND into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - REBIND value